org.eclipse.rdf4j.common.iteration

## Class ReducedIteration<E,X extends Exception>

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<E,X>
    - - org.eclipse.rdf4j.common.iteration.FilterIteration<E,X>
      - - org.eclipse.rdf4j.common.iteration.ReducedIteration<E,X>

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<E,X>, Iteration<E,X>

      public class ReducedIteration<E,X extends Exception>
      extends FilterIteration<E,X>

  Removes consecutive duplicates from the object stream.
  Author:
    Arjohn Kampman

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReducedIteration(Iteration<? extends E,? extends X> delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `accept(E nextObject)` Tests whether or not the specified object should be returned by this Iteration.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.FilterIteration

      `handleClose, hasNext, next`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### ReducedIteration

          public ReducedIteration(Iteration<? extends E,? extends X> delegate)

  - ### Method Detail

    - #### accept

          protected boolean accept(E nextObject)

      Description copied from class: `FilterIteration`
      Tests whether or not the specified object should be returned by this Iteration. All objects from the wrapped Iteration pass through this method in the same order as they are coming from the wrapped Iteration.
      Specified by:
        `accept` in class `FilterIteration<E,X extends Exception>`
      Parameters:
        `nextObject` - The object to be tested.
      Returns:
        `true` if the object should be returned, `false` otherwise.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.